from tkinter import ttk
from tkinter import Tk
from tkinter import Button, Label
from .data import Message


class Gui(Tk):
    def __init__(self, parent=None) -> None:
        Tk.__init__(self, parent)
        self.title("Welcome to LikeGeeks app")
        self.geometry("300x200+10+20")
        # self.overrideredirect(1)  # remove border
        # window.withdraw() # hide window
        self.attributes('-topmost', True)  # always on top
        self.tab_control = ttk.Notebook(self)
        self.tab_control.pack(expand=1, fill='both')
        self.tabs = dict()

    def add_tab(self, number: int, message: Message) -> None:
        tab = ttk.Frame(self.tab_control)
        if message.user is not self.tabs:
            self.tabs[message.user] = dict()
        if message.trade.item is not self.tabs[message.user]:
            self.tabs[message.user][message.trade.item] = tab
        Label(tab, text=message.trade.item).pack(anchor='w', side='left')
        Button(tab, text='Accept').pack(anchor='w', side='left')
        Button(tab, text='Decline').pack(anchor='w', side='left')
        Label(tab, text=f'{message.trade.amount} {message.trade.currency}').pack(anchor='w', side='left')
        self.tab_control.add(tab, text=message.user)


if __name__ == "__main__":
    app = Gui()
    app.mainloop()
